#ifndef DRIVEUTILS_H
#define DRIVEUTILS_H

#include <windows.h>

#define DRIVE_TYPE_FIRST 0
#define DRIVE_TYPE_LAST  4

struct DriveInfo {
	BYTE bDriveType;
	BYTE bNumberOfTracks;
	BYTE bNumberOfSides;
	BYTE bSectorsPerTrack;
};

struct DrivePosition {
	BYTE bTrack;
	BYTE bSide;
	BYTE bSector;
};

LPCSTR GetDriveTypeString(BYTE bDriveType);
WORD GetTotalSectorCount(const struct DriveInfo *lpDriveInfo);
BOOL SectorIndexToDrivePos(WORD wSectorIndex, const struct DriveInfo *lpDriveInfo, struct DrivePosition *lpTargetPos);

#endif
