#ifndef FATUTILS_H
#define FATUTILS_H

#include <windows.h>

#include "protodef.h"
#include "driveutils.h"

struct FatInfo {
	WORD wNumberOfSectors;
	BYTE bMediaDescriptor;
	WORD wSectorsPerTrack;
	WORD wNumberOfHeads;
};

struct FatInfo GetFatInfoFromDrive(const struct DriveInfo *lpDriveInfo);
struct FatInfo GetFatInfoFromImage(const BYTE SectorData[SECTOR_SIZE]);
BYTE GetMediaDescriptorFromDriveType(BYTE bDriveType);
struct FatInfo GetResizedFatInfo(const struct FatInfo *lpSourceInfo, const struct FatInfo *lpTargetInfo);
void SetFatInfoInImage(BYTE SectorData[SECTOR_SIZE], const struct FatInfo *lpFatInfo);

#endif
