#ifndef FINDFILE_H
#define FINDFILE_H

#include <windows.h>

#include "commdev.h"
#include "protodef.h"
#include "list.h"

struct FileDate {
	WORD wYear;
	BYTE bMonth;
	BYTE bDay;
};

struct FileTime {
	BYTE bHours;
	BYTE bMinutes;
	BYTE bSeconds;
};

struct FindResult {
	BYTE szFileName[MAX_DOS_FILENAME];
	DWORD dwFileSize;
	struct FileDate FileDate;
	struct FileTime FileTime;
	BYTE bAttributes;
};

BOOL GetFileList(HWND hWnd, struct CommDev *lpDevice, LPCSTR lpPath, struct List *lpResult);

#endif
