#ifndef IMAGEUTILS_H
#define IMAGEUTILS_H

#include <windows.h>

#include "fatutils.h"

struct Image *CreateImageFile(LPCSTR lpPath, WORD wNumberOfSectors);
struct Image *OpenImageFile(LPCSTR lpPath);
WORD GetImageSectorCount(const struct Image *lpImage);
BOOL ReadSectorFromImage(struct Image *lpImage, WORD wIndex, BYTE SectorData[SECTOR_SIZE]);
BOOL WriteSectorToImage(struct Image *lpImage, WORD wIndex, const BYTE SectorData[SECTOR_SIZE]);
void CloseImageFile(struct Image *lpImage);

#endif
