#ifndef LIST_H
#define LIST_H

struct List *CreateList(void);
void DestroyList(struct List *lpList);

int GetListItemCount(const struct List *lpList);
const void *GetListItem(const struct List *lpList, int iIndex);
// use index -1 for appending at the end
int AddListItem(struct List *lpList, int iPosition, void *lpItem, int iItemSize);
void DelListItem(struct List *lpList, int iPosition);
void SortList(struct List *lpList, int (*lpSortFunc)(const void *lpLeft, const void *lpRight));

#endif
