#ifndef RESOURCE_H
#define RESOURCE_H

#define IDD_MAINDLG                         101
#define IDR_MAINMENU                        102
#define IDD_CONNECTDLG                      103
#define IDD_TRANSFERDLG                     104
#define IDD_DELAYSDLG                       105
#define IDD_FLOWCTRLDLG                     106
#define IDD_FILEPICKDLG                     107
#define IDD_CONVERTDLG                      108
#define IDD_DRIVEEDITDLG                    109
#define IDD_DRIVEEDITENTRYDLG               110
#define IDD_EXPLOREDLG                      111
#define IDD_FINDPROGDLG                     112
#define IDC_STATIC                          -1
#define IDC_DRIVELIST                       1001
#define IDC_TYPE                            1002
#define IDC_TRACKS                          1003
#define IDC_SIDES                           1004
#define IDC_SECTORS                         1005
#define IDC_DETECT                          1006
#define IDC_WRITEIMAGE                      1007
#define IDC_READIMAGE                       1008
#define IDC_EXPLORE                         1009
#define IDC_RECVFILE                        1010
#define IDC_SENDFILE                        1011
#define IDC_PORT                            1012
#define IDC_BAUDRATE                        1013
#define IDC_DATABITS                        1014
#define IDC_PARITY                          1015
#define IDC_STOPBITS                        1016
#define IDC_SOURCE                          1017
#define IDC_DESTINATION                     1018
#define IDC_STATUS                          1019
#define IDC_PROGRESS_DUMMY                  1020
#define IDC_DELAY_BEFORE_WRITE              1021
#define IDC_DELAY_AFTER_WRITE               1022
#define IDC_DELAY_BEFORE_READ               1023
#define IDC_DELAY_AFTER_READ                1024
#define IDC_DELAY_BEFORE_READ_AFTER_WRITE   1025
#define IDC_DELAY_BEFORE_WRITE_AFTER_READ   1026
#define IDC_READ_TIMEOUT                    1027
#define IDC_OUTX_CTS_FLOW                   1028
#define IDC_OUTX_DSR_FLOW                   1029
#define IDC_DTR_CONTROL                     1030
#define IDC_RTS_CONTROL                     1031
#define IDC_LOAD_DEFAULTS                   1032
#define IDC_LABEL_A                         1033
#define IDC_LABEL_B                         1034
#define IDC_PATH_A                          1035
#define IDC_PATH_B                          1036
#define IDC_BUTTON_A                        1037
#define IDC_BUTTON_B                        1038
#define IDC_DATALOSS_WARNING                1039
#define IDC_SOURCE_IMAGE_SIZE               1040
#define IDC_TARGET_DRIVE_CAPACITY           1041
#define IDC_REWRITE_FAT12                   1042
#define IDC_SOURCE_IMAGE_GROUPBOX           1043
#define IDC_SOURCE_NUMBER_OF_SECTORS_LABEL  1044
#define IDC_SOURCE_MEDIA_DESCRIPTOR_LABEL   1045
#define IDC_SOURCE_SECTORS_PER_TRACK_LABEL  1046
#define IDC_SOURCE_NUMBER_OF_HEADS_LABEL    1047
#define IDC_SOURCE_NUMBER_OF_SECTORS_VALUE  1048
#define IDC_SOURCE_MEDIA_DESCRIPTOR_VALUE   1049
#define IDC_SOURCE_SECTORS_PER_TRACK_VALUE  1050
#define IDC_SOURCE_NUMBER_OF_HEADS_VALUE    1051
#define IDC_TARGET_DRIVE_GROUPBOX           1052
#define IDC_TARGET_NUMBER_OF_SECTORS_LABEL  1053
#define IDC_TARGET_MEDIA_DESCRIPTOR_LABEL   1054
#define IDC_TARGET_SECTORS_PER_TRACK_LABEL  1055
#define IDC_TARGET_NUMBER_OF_HEADS_LABEL    1056
#define IDC_TARGET_NUMBER_OF_SECTORS_VALUE  1057
#define IDC_TARGET_MEDIA_DESCRIPTOR_VALUE   1058
#define IDC_TARGET_SECTORS_PER_TRACK_VALUE  1059
#define IDC_TARGET_NUMBER_OF_HEADS_VALUE    1060
#define IDC_ADD                             1061
#define IDC_EDIT                            1062
#define IDC_REMOVE                          1063
#define IDC_INDEX                           1064
#define IDC_LOCATION                        1065
#define IDC_LISTCTRL_DUMMY                  1066
#define IDC_CURRENT_FILE                    1067
#define IDC_TOTAL_COUNT                     1068
#define ID_FILE_CONNECT                     40001
#define ID_FILE_DISCONNECT                  40002
#define ID_FILE_EXIT                        40003
#define ID_TOOLBOX_DOWNLOAD                 40004
#define ID_TOOLBOX_VERSION                  40005
#define ID_TOOLBOX_EXITTOLOADER             40006
#define ID_TOOLBOX_EXITTOSYSTEM             40007
#define ID_TWEAKS_DRIVEEDITOR               40008
#define ID_TWEAKS_DELAYS                    40009
#define ID_TWEAKS_FLOWCTRL                  40010
#define ID_HELP_ABOUT                       40011

#endif
